#ifndef _INPUT_H
#define _INPUT_H

#include "sdl.h"
#include "interface.h"

/* Game modes */
enum {
	IN_MENU,
	IN_SETTINGS,
	IN_GAME
};

/* Input events */
enum {
	INPUT_NORMAL,
	EXIT,
	SETTINGS,
	KEY_DOWN,
	KEY_UP,
	KEY_LEFT,
	KEY_RIGHT,
	SAVE,
	CONTINUE,
	NEW_GAME
};

int Input(APP *app, char *run, FONTS *fonts, char flag);
#endif
